﻿namespace howto_load_runtime_enum
{
    [System.AttributeUsage(System.AttributeTargets.Field)]
    public class JobTitle : System.Attribute
    {
        public string Value;
        public JobTitle(string value)
        {
            Value = value;
        }
    }

    // Note: An attribute's type cannot be float
    // because float is not a "simple" type.
    [System.AttributeUsage(System.AttributeTargets.Field)]
    public class Salary : System.Attribute
    {
        public float Value;
        public Salary(float value)
        {
            Value = value;
        }
    }

    [System.AttributeUsage(System.AttributeTargets.Field)]
    public class IsExempt : System.Attribute
    {
        public bool Value;
        public IsExempt(bool value)
        {
            Value = value;
        }
    }
}
