    // Attributes.
    [System.AttributeUsage(System.AttributeTargets.Field)]
    public class CustomerType : System.Attribute
    {
        public string TypeName;
        public float Discount;
        public CustomerType(string type_name, float discount)
        {
            TypeName = type_name;
            Discount = discount;
        }
    }

    // Enums.
    enum Employees
    {
        [IsExempt(false)]
        Clerk,
        [JobTitle("Super"), IsExempt(false)]
        Supervisor,
        [JobTitle("Manager"), Salary(84000), IsExempt(true)]
        Manager,
        [JobTitle("Admin"), Salary(72000), IsExempt(true)]
        Administrator,
    }

    enum Customers
    {
        [CustomerType("Retail", 0)]
        Customer,
        [CustomerType("Frequent", 10)]
        FrequentBuyer,
        [CustomerType("Wholesale", 40)]
        Wholesale,
    }
